import * as tslib_1 from "tslib";
import * as React from "react";
import Register from "@vericus/slate-kit-utils-register-helpers";
export default function createRenderMark(options) {
    var marks = options.marks;
    var marksRenderer = Object.entries(marks).reduce(function (renderers, _a) {
        var _b = tslib_1.__read(_a, 2), markName = _b[0], _markType = _b[1];
        var _c;
        return tslib_1.__assign({}, renderers, (_c = {}, _c[markName] = function (props) {
            var attributes = props.attributes, children = props.children, className = props.className;
            return (React.createElement("span", tslib_1.__assign({}, attributes, { className: className }), children));
        }, _c));
    }, {});
    return Register({ marksRenderer: marksRenderer });
}
//# sourceMappingURL=renderMark.js.map